package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.RegionInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2020-10-12 16:20
 */
@Repository
public interface RegionInfoDAO {

    int insert(RegionInfo entity);
    int update(RegionInfo entity);
    int exist(String id);
    RegionInfo get(String id);
    int delete(String id);
    List<RegionInfo> list();
    List<RegionInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<RegionInfo> findByParentId(String parentId);

    List<RegionInfo> findTopRegion();

    RegionInfo findByName(String name);
}
